/*Steel pokemon have the most resistances to various other damage types so I figured the highest level
 Steel types would be the strongest*/

SELECT
  p.name as 'Pokemon Name',
  tr.trainername as 'Trainer Name',
  ptr.pokelevel AS 'Current Level',
  typ.name AS 'Primary Type',
  typ2.name AS 'Secondary Type'
FROM
  pokemon.pokemon_trainer ptr
JOIN pokemon.pokemons p
ON ptr.pokemon_id = p.id
JOIN pokemon.trainers tr
ON ptr.trainerID = tr.trainerID
JOIN pokemon.types typ
ON p.primary_type = typ.id
JOIN pokemon.types typ2
ON p.secondary_type = typ2.id
WHERE typ.name = 'Steel'
ORDER BY ptr.pokelevel DESC
;

